# Interface JSVPanel

All Superinterfaces:
  `JSVViewPanel`

All Known Implementing Classes:
  `AwtPanel, JsPanel`

public interface JSVPanel extends JSVViewPanel
JSVPanel class represents a View combining one or more GraphSets, each with one or more JDXSpectra.

## Method Summary

Modifier and Type
Method
Description
`void`
`doRepaint(boolean andTaintAll)`
`GenericPlatform`
`getApiPlatform()`
`void`
`getFocusNow(boolean asThread)`
`int`
`getFontFaceID(String name)`
`String`
`getInput(String message, String title, String sval)`
`PanelData`
`getPanelData()`
`boolean`
`hasFocus()`
`void`
`paintComponent(Object display)`
`void`
`printPanel(PrintLayout pl, OutputStream os, String printJobTitle)`
`void`
`processKeyEvent(Object event)`
`boolean`
`processMouseEvent(int id, int x, int y, int modifiers, long time)`
`void`
`processTwoPointGesture(float[][][] touches)`
`void`
`repaint()`
`String`
`saveImage(String type, GenericFileInterface file, OC out, int width, int height)`
`void`
`setBackgroundColor(GenericColor color)`
`void`
`setToolTipText(String s)`
`void`
`showMenu(int x, int y)`
`void`
`showMessage(String msg, String title)`

### Methods inherited from interface JSVViewPanel

`dispose, getHeight, getTitle, getWidth, isEnabled, isFocusable, isVisible, setEnabled, setFocusable, setTitle`

## Method Details

### repaint

void repaint()

### doRepaint

void doRepaint(boolean andTaintAll)

### getFocusNow

void getFocusNow(boolean asThread)

### getInput

String getInput(String message, String title, String sval)

### getPanelData

PanelData getPanelData()

### hasFocus

boolean hasFocus()

### setToolTipText

void setToolTipText(String s)

### showMessage

void showMessage(String msg, String title)

### getApiPlatform

GenericPlatform getApiPlatform()

### setBackgroundColor

void setBackgroundColor(GenericColor color)

### getFontFaceID

int getFontFaceID(String name)

### saveImage

String saveImage(String type, GenericFileInterface file, OC out, int width, int height)

### printPanel

void printPanel(PrintLayout pl, OutputStream os, String printJobTitle)

### processMouseEvent

boolean processMouseEvent(int id, int x, int y, int modifiers, long time)

### processTwoPointGesture

void processTwoPointGesture(float[][][] touches)

### processKeyEvent

void processKeyEvent(Object event)

### showMenu

void showMenu(int x, int y)

### paintComponent

void paintComponent(Object display)